
const Cp = require('child_process');
const Apiss = require('../index');

const exec = function (error, stdout, stderr) {
	if (error) {
		console.error(`exec error: ${error}`);
	} else {
		console.log(`stdout: ${stdout}`);
	}
};

(async function () {

	const apiss = new Apiss({
		port: 8080,
		path: './vhosts'
	});

	await apiss.open();

	setTimeout(function () {
		Cp.exec('curl -H "Host: foo.com" localhost:8080', exec);
		Cp.exec('curl -H "Host: error.com" localhost:8080', exec);
	}, 1000);

	setTimeout(function () {
		Promise.resolve().then(function () {
			return apiss.close();
		}).catch(function (error) {
			console.error(error);
		});
	}, 12000);

}()).catch(function (error) {
	console.error(error);
});
